
package com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TPaymentStatus.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TPaymentStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PENDING"/>
 *     &lt;enumeration value="DONE"/>
 *     &lt;enumeration value="CONFIRMED"/>
 *     &lt;enumeration value="EXPIRED"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TPaymentStatus")
@XmlEnum
public enum TPaymentStatus {

    PENDING,
    DONE,
    CONFIRMED,
    EXPIRED;

    public String value() {
        return name();
    }

    public static TPaymentStatus fromValue(String v) {
        return valueOf(v);
    }

}
